## luciole 0.7.3

=== Makefile ===
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
#
# Project      : Luciole
#
# Url          : <A HREF="http://https://launchpad.net/luciole"> Location </A>
#
# File         : Makefile
#
# Owner        : Nicolas Bertrand 
#
# Type         : makefile
#
#
# Name          : Makefile  
#
# Synopsis      : make 
#
# Arguments     : none
#
# Description   : Makefile for building luciole and installation of luciole 
#
# See Also      : 
#


SOURCE_DIR=./
PREFIX ?= /usr
LIBDIR ?= /lib
all: compile gui
	@echo "Done"
	@echo "Type: 'make install' now"

version_update :
	bzr version-info --format python > _version.py
compile:
	python -m compileall lucioLib
	python -m py_compile luciole.py
	python -m py_compile _version.py
	python -O -m compileall lucioLib
	python -O -m py_compile luciole.py
	python -O -m py_compile _version.py

trans-compile :
	python po/createpot.py compile

gui : 
	gtk-builder-convert images/luciole.glade images/luciole.xml

trans-po-update :
	python po/createpot.py update_po

make-install-dirs: 
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
	mkdir -p $(DESTDIR)$(PREFIX)/share/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/templates
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/images
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/sounds
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/po
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/icons
	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/Menu-Menubar
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1

install: make-install-dirs
	install -m 644 $(CURDIR)/$(SOURCE_DIR)luciole.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
	install -m 644 $(CURDIR)/$(SOURCE_DIR)_version.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.glade $(DESTDIR)$(PREFIX)/share/luciole/images
	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.xml $(DESTDIR)$(PREFIX)/share/luciole/images
	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/*.png $(DESTDIR)$(PREFIX)/share/luciole/images
	install -m 644 $(CURDIR)/$(SOURCE_DIR)sounds/*.ogg $(DESTDIR)$(PREFIX)/share/luciole/sounds
	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/
	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/
	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioExport/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioExport/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/gui/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/gui/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioWebCamDetect/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioWebCamDetect/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/controller/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/controller/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.xml $(DESTDIR)$(PREFIX)/share/luciole/templates
	install -m 644  $(CURDIR)/$(SOURCE_DIR)luciole.desktop $(DESTDIR)$(PREFIX)/share/applications/
	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.xpm  $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/*.rc $(DESTDIR)$(PREFIX)/share/luciole/themes/
	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/Tropical/icons/*.png $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/icons/
	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/Tropical/Menu-Menubar/*.png $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/Menu-Menubar/

	cd $(DESTDIR)$(PREFIX)/bin && \
	  /bin/echo -e \
	    "#!/bin/sh\n" \
	    "cd $(PREFIX)/share/luciole\n" \
	    "exec python $(PREFIX)$(LIBDIR)/luciole/luciole.py \"\$$@\"" \
	    > luciole && \
	  chmod 755 luciole
	# traduction
	for f in `find po -name luciole.mo` ; do \
	  install -d -m 755 \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/luciole/po|" | \
	      xargs dirname` && \
	  install -m 644 $$f \
	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/luciole/po|"` ; \
	  done
tarball: clean
	tar --exclude .bzr -czvf ../luciole.tar.gz ../luciole

 
uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/share/luciole
	rm -rf $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
	rm -rf $(DESTDIR)$(PREFIX)/bin/luciole
	rm -f $(DESTDIR)$(PREFIX)/share/applications/luciole.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/luciole.xpm
clean :
	find . -name "*.py[co]" -exec rm -f {} \;

## luciole 0.8.5

=== debian/changelog ===
luciole (0.8.5-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
    - LP: #525286 - Luciole start up can be very long

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 04 Mar 2010 07:55:14 +0100

luciole (0.8.4-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
    - LP: #522266 - Luciole crash at start up

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 18 Feb 2010 06:33:14 +0000

luciole (0.8.3-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
   - LP: #522010 - Segmentation fault on webcam detection when acquisition is on
   - LP: #519652 - Luciole takes a while before starting due to theme warnings
   - LP: #521606 - Nothing happens when trying to open a non existing project
   - LP: #520495 - GUI display issue around mixer
   - LP: #521371 - A scroll bar is displayed when only 1 framerate is available
  * debian/copyright: get rid of (C) to make lintian happy
  * debian/control: bump standards-version to 3.8.4. No changes required.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 15 Feb 2010 07:16:26 +0100

luciole (0.8.2-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
    - LP: #498619 Acquisition doesn't work on DVCAM nor WEBCAM
    - LP: #500649 Excessive CPU use while capturing
    - LP: #500158 Impossible to change export path
    - LP: #500652 Weird Mixer behavior
    - LP: #505288 Error when opening existing project
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/README.source: deleted as it's not useful anymore
  * debian/quilt: deleted build dependency on quilt
  * debian/compat: bumped version to 7
  * debian/rules: Converted to debhelper 7 style
  * debian/manpages: created to install luciole.1 manpage

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 08 Feb 2010 20:09:50 +0100

luciole (0.7.4-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Fix "Luciole does not allow to overwrite a video file during export"
      (LP: #485197)
    - Fix "Luciole export on DV format does not work under karmic" (LP: #486963)
  * debian/watch: fixed to take into account - or _ in the source tarball
  * debian/control: added Homepage tag

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 29 Nov 2009 07:45:40 +0000

luciole (0.7.3-0ubuntu2) lucid; urgency=low

  * debian/control:
    - added a build dependency on quilt
    - added a dependency on python-dbus to avoid a startup error
  * debian/rules: added quilt include and call to patch and unpatch targets
  * debian/README.source: added to take into account quilt patching
  * clean_window_destroy.patch: fix an incorrect handling of the main windows
    closing (LP: #484062). Patch from Nicolas Bertrand
  * fix_crash_on_acquisition.patch: fix a crash when webcam acquisition is
    started (LP: #481732). Patch from Nicolas Bertrans

 -- Fabrice Coutadeur < fabricesp@ubuntu.com>  Fri, 20 Nov 2009 06:00:40 +0000

luciole (0.7.3-0ubuntu1) karmic; urgency=low

  * Integration to ubuntu repository (LP: #374249)

 -- Nicolas Bertrand <nico@inattendu.org>  Tue, 25 Aug 2009 18:49:51 +0200

## luciole 0.8.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright Nicolas Bertrand (nico@inattendu.org), 2009
+# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
 #
 # This file is part of Luciole.
 #
@@ -44,7 +44,9 @@
 SOURCE_DIR=./
 PREFIX ?= /usr
 LIBDIR ?= /lib
-all: compile gui
+BASEDIR= `basename $(PWD)`
+
+all: compile trans-compile
 	@echo "Done"
 	@echo "Type: 'make install' now"
 
@@ -61,9 +63,6 @@
 trans-compile :
 	python po/createpot.py compile
 
-gui : 
-	gtk-builder-convert images/luciole.glade images/luciole.xml
-
 trans-po-update :
 	python po/createpot.py update_po
 
@@ -72,7 +71,8 @@
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib
-	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
+	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_export
+	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_gst
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
@@ -84,23 +84,24 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/images
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/sounds
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/po
+	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/ui
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/icons
-	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/Menu-Menubar
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 
 install: make-install-dirs
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)luciole.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)_version.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.glade $(DESTDIR)$(PREFIX)/share/luciole/images
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.xml $(DESTDIR)$(PREFIX)/share/luciole/images
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)ui/*.glade $(DESTDIR)$(PREFIX)/share/luciole/ui
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/*.png $(DESTDIR)$(PREFIX)/share/luciole/images
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)sounds/*.ogg $(DESTDIR)$(PREFIX)/share/luciole/sounds
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/
 	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioExport/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
-	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioExport/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_export/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_export
+	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_export/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_export
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_gst/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_gst
+	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_gst/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_gst
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/gui/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
 	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/gui/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioWebCamDetect/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
@@ -108,11 +109,12 @@
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/controller/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
 	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/controller/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.xml $(DESTDIR)$(PREFIX)/share/luciole/templates
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.kdenlive $(DESTDIR)$(PREFIX)/share/luciole/templates
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.xptv $(DESTDIR)$(PREFIX)/share/luciole/templates
 	install -m 644  $(CURDIR)/$(SOURCE_DIR)luciole.desktop $(DESTDIR)$(PREFIX)/share/applications/
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.xpm  $(DESTDIR)$(PREFIX)/share/pixmaps/
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/*.rc $(DESTDIR)$(PREFIX)/share/luciole/themes/
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/Tropical/icons/*.png $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/icons/
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/Tropical/Menu-Menubar/*.png $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/Menu-Menubar/
 
 	cd $(DESTDIR)$(PREFIX)/bin && \
 	  /bin/echo -e \
@@ -130,8 +132,12 @@
 	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/luciole/po|"` ; \
 	  done
 tarball: clean
-	tar --exclude .bzr -czvf ../luciole.tar.gz ../luciole
+	@echo "Creating tarball $(BASEDIR).tar.gz archive in parent dir "
+	@cd .. && tar --exclude .bzr --exclude .bzrignore --exclude debian -czf $(BASEDIR).tar.gz $(BASEDIR)
 
+debian-orig: clean cleanbzr
+	@echo "Creating debian $(BASEDIR).orig.tar.gz archive in parent dir"
+	@cd .. && tar --exclude .bzr --exclude .bzrignore --exclude debian  -czf $(BASEDIR).orig.tar.gz $(BASEDIR)
  
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/share/luciole
@@ -139,5 +145,16 @@
 	rm -rf $(DESTDIR)$(PREFIX)/bin/luciole
 	rm -f $(DESTDIR)$(PREFIX)/share/applications/luciole.desktop
 	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/luciole.xpm
+
 clean :
-	find . -name "*.py[co]" -exec rm -f {} \;
+	@echo "Removing temporary files" 
+	@find . -name "*.py[co]" -exec rm -f {} \;
+	@find . -name "*~" -exec rm -f {} \;
+	@find . -name "*.swp" -exec rm -f {} \;
+
+cleanbzr :
+	rm -rf .bzr
+	rm -f .bzrignore
+
+
+

=== debian/changelog ===
luciole (0.8.6-0ubuntu2) trusty; urgency=low

  * Use avconv instead of ffmpeg.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 13:33:36 +0000

luciole (0.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release. Bug fixing only release. Fixes:
    - LP: #532967 - Project path is hardcoded in project file   
    - LP: #626847 - Menu shorcuts as CTRL+N or CTRL+S not in luciole 0.8.5
      (regression)
  * debian/patches: deleted as there are no patches left.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 02 Sep 2010 19:13:04 +0000

=== debian/control ===
Source: luciole
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Bertrand <nico@inattendu.org>
Build-Depends: debhelper (>= 7.0.50),
               python-dev,
               python-gtk2-dev,
               perl
Standards-Version: 3.8.4
Homepage: https://launchpad.net/luciole

Package: luciole
Architecture:any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2,
         python-glade2,
         python-gnome2,
         python-dbus,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         python-gst0.10,
         mjpegtools,
         python-imaging,
         imagemagick,
         mencoder,
         libav-tools
Description: Image per Image capture tool for movie animations
 Luciole is a stop motion software for animation movie realization.
 It can make live capture of images from external devices as webcam or DV cam.
 Luciole is intended to be easy to use for educational purpose and simplify 
 animation movie mounting.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2man --section=1 --center "" debian/luciole.pod luciole.1

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.mo" -exec rm -f {} \;
	rm -f luciole.1

=== debian/watch ===
version=3
https://launchpad.net/luciole/+download http://launchpad.net/luciole/.*/.*/\+download/luciole_(.+).tar.gz
